Segmentation faults with Orthanc server 1.9.6 LSB build

Hello
we recently upgrade from Orthanc server LSB 1.3.1 to 1.9.6 and are experiencing regular crashes with segmentation faults for some of our Orthanc instances.
Most seg faults occur within libc, and a few occured within the libOrthancGdcm.so plugin.

We use :

Debian 9.11
libc 2.24-11+deb9u4
Any known version incompatibilities in our setup ?
thanks

Hi Pierre,

No, sorry, there’s no known incompatibilities and there are no known crash reported in normal conditions.
Are you sure Orthanc is not running out of memory while handling large files/operations ? I can not guarantee that the ‘out of memory’ is always handled correctly and will not lead to a crash.

Best regards,

Alain.